Skip to main content
GET
/
v2
/
giftcards
/
programs
/
{programId}
/
compliance
/
aml
Getamlalerts
curl --request GET \
  --url https://api.loyalty.dog/v2/giftcards/programs/{programId}/compliance/aml \
  --header 'Authorization: Bearer <token>'
{
  "reportId": "<string>",
  "generatedAt": "2023-11-07T05:31:56Z",
  "alerts": [
    {
      "alertId": "<string>",
      "flagType": "<string>",
      "severity": "<string>",
      "cardId": "<string>",
      "cardNumber": "<string>",
      "customerEmail": "<string>",
      "transactionIds": [
        "<string>"
      ],
      "detectedAt": "2023-11-07T05:31:56Z",
      "acknowledged": true,
      "amount": "<string>",
      "acknowledgedAt": "2023-11-07T05:31:56Z",
      "acknowledgedBy": "<string>",
      "notes": "<string>"
    }
  ],
  "highSeverityCount": 123,
  "mediumSeverityCount": 123,
  "lowSeverityCount": 123,
  "unacknowledgedCount": 123
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

X-Eposn-Customer-Token
string | null
X-Eposn-Merchant-Token
string | null

Path Parameters

programId
string | null
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Query Parameters

from_date
string<date-time> | null
to_date
string<date-time> | null
cardId
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Response

Successful Response

reportId
string
required
generatedAt
string<date-time>
required
alerts
AMLAlertResponse · object[]
required
highSeverityCount
integer
required
mediumSeverityCount
integer
required
lowSeverityCount
integer
required
unacknowledgedCount
integer
required